%define upstream_name    MooseX-Interface
%define upstream_version 0.008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Random thoughts that might one day become a proper tutorial
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role) >= 2.0.0
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.610.0
BuildRequires: perl(constant) >= 1.10.0
BuildRequires: perl(namespace::clean) >= 0.190.0
BuildArch:  noarch

%description
MooseX::Interface provides something similar to the concept of interfaces
as found in many object-oriented programming languages like Java and PHP.

"What?!" I hear you cry, "can't this already be done in Moose using roles?"

Indeed it can, and that's precisely how MooseX::Interface works. Interfaces
are just roles with a few additional restrictions:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.8.0-7.mga10
+ Revision: 2199940
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.8.0-6.mga9
+ Revision: 1804683
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.8.0-5.mga8
+ Revision: 1495666
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.8.0-4.mga7
+ Revision: 1269602
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.8.0-3.mga6
+ Revision: 1030407
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.8.0-2.mga6
+ Revision: 965969
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.8.0-1.mga6
+ Revision: 839342
- update to 0.008

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 743388
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 685540
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.7.0-2.mga4
+ Revision: 537348
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.7.0-1.mga4
+ Revision: 486849
- update to 0.007

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 370187
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.6.0-1.mga3
+ Revision: 306182
- update to 0.006

* Fri Oct 05 2012 jquelin <jquelin> 0.4.0-1.mga3
+ Revision: 302909
- imported package perl-MooseX-Interface


* Fri Oct 05 2012 cpan2dist 0.004-1mga
- initial mageia release, generated with cpan2dist
